# The address and port sncf will listen
listening_address = "0.0.0.0"
listening_port = 8000

# Public-facing domain for sncf.
# includes protocol, FQDN and port, without the trailing slash.
sncf_url = "http://example.org"

# SQLite: path to the SQLite DB
# PostgreSQL: postgres://user:password@address:port/database
# MySQL: mysql://user:password@address:port/database
database_path = "mysql://nextcloud:AAAAAAAAAAAAAAAAAAAAAAAAAAAAMYSQL@nextcloud-db:3306/nextcloud"

# IP address of the Nextcloud instance, including protocol and port
nextcloud_url = "http://nextcloud-web:80"

# Nextcloud admin account credentials
# TODO hash adminpw
admin_username = "AAAAAAAAAAAusername"
admin_password = "AAAAAAAAAadminpw"

# How many days of inactivity for an admin token before deleting NC accounts
prune_days = 40

# Displays route names and a lot of information
debug_mode = true

# Used to encrypt csrf tokens and csrf cookies.
# Generate random bytes: openssl rand -base64 32
# Then paste the result in this variable
cookie_key = "Af3v5KMNPmwYYBRRjm/W5ds1rHDdyCEvpxVTMLKEKl0="

# Don't touch this unless you know what you're doing
config_version = 2
